Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class SvnRepository

    java.lang.Object
      com.pmease.quickbuild.repository.Repository
          com.pmease.quickbuild.repository.SvnRepository

All Implemented Interfaces:
  java.io.Serializable

public class SvnRepository
extends Repository

The Subversion repository

Author:
  robin shine
See Also:
  Serialized Form

Constructor Summary
`SvnRepository()`

Method Summary
`protected void` | `buildFinished(Build build)` Indicates build has finished.
`protected void` | `checkout(Build build)` Check out codes for specified build.
`protected void` | `cleanupCheckoutStarted(java.lang.String workingDir, org.apache.log4j.Logger logger)` Give the repository a chance to do something before clean up checkouts.
`java.lang.String` | `getBranches()` OGNL: Directory used to hold branches for this url base.
`protected Revisions` | `getChangeListSince(DependentContext dependentContext, java.util.Date date, java.lang.String workingDir, org.apache.log4j.Logger logger)` Get change list since specified date.
`java.lang.String` | `getHeadRevision()` OGNL: Get head revision number.
`java.lang.Class` | `getModuleClazz()`
`java.lang.String` | `getPassword()` OGNL: Password to use to login to Subversion.
`java.lang.String` | `getSvnExePath()` OGNL: Specify path to your svn executable file.
`java.lang.String` | `getTags()` OGNL: Directory used to hold tags for this url base.
`java.lang.String` | `getTrunk()` OGNL: Directory used to hold trunk for this url base.
`java.lang.String` | `getUrlBase()` OGNL: The base part of Subversion url, for example, you can input svn://buildmachine.foobar.com/, or file:///c:/svn_repository, or svn://buildmachine.foobar.com/myproject/othersubdirectory, etc.
`java.lang.String` | `getUser()` OGNL: User name to use to login to Subversion.
`boolean` | `isCygwinSvn()` OGNL: This property indicates whether or not the svn executable being used is a cygwin one.
`protected void` | `label(Build build, java.lang.String label, java.lang.String comment)` Label checked out artifacts from this repository.
`void` | `setBranches(java.lang.String branches)`
`void` | `setCygwinSvn(boolean cygwinSvn)`
`void` | `setPassword(java.lang.String password)`
`void` | `setSvnExePath(java.lang.String svnExePath)`
`void` | `setTags(java.lang.String tags)`
`void` | `setTrunk(java.lang.String trunk)`
`void` | `setUrlBase(java.lang.String urlBase)`
`void` | `setUser(java.lang.String user)`

Methods inherited from class com.pmease.quickbuild.repository.Repository
`cleanupCheckoutStarted, doCheckout, doLabel, equals, getChangeListSince, getDate2Revisions, getEditor, getLoginMappingName, getLoginMappingNameSelectionModel, getModules, getName, getNameChoices, getQuietPeriod, hashCode, isCheckedOut, isModified, isModifiedSince, isQuietSince, notifyBuildFinished, resolveOgnlExpressions, setEditor, setLoginMappingName, setName, setQuietPeriod, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnRepository

    public SvnRepository()

Method Detail

### getUrlBase

    public java.lang.String getUrlBase()

  OGNL: The base part of Subversion url, for example, you can input svn://buildmachine.foobar.com/, or file:///c:/svn_repository, or svn://buildmachine.foobar.com/myproject/othersubdirectory, etc. Other definitions such as tags directory, branches directory, or module source path are relative to this base url. NOTE: If you are using https:// schema, you should make sure that svn server certificate has been accepted permermantly by your build machine.

  Returns:

### setUrlBase

    public void setUrlBase(java.lang.String urlBase)

### getTrunk

    public java.lang.String getTrunk()

  OGNL: Directory used to hold trunk for this url base. This directory is relative to the url base. Leave it blank, if you didn't define any trunk directory in the above url base.

  Returns:

### setTrunk

    public void setTrunk(java.lang.String trunk)

### getBranches

    public java.lang.String getBranches()

  OGNL: Directory used to hold branches for this url base. This directory is relative to the url base.

  Returns:

### setBranches

    public void setBranches(java.lang.String branches)

### getTags

    public java.lang.String getTags()

  OGNL: Directory used to hold tags for this url base. This directory is relative to the url base.

  Returns:

### setTags

    public void setTags(java.lang.String tags)

### getUser

    public java.lang.String getUser()

  OGNL: User name to use to login to Subversion.

  Returns:

### setUser

    public void setUser(java.lang.String user)

### getPassword

    public java.lang.String getPassword()

  OGNL: Password to use to login to Subversion.

  Returns:

### setPassword

    public void setPassword(java.lang.String password)

### getSvnExePath

    public java.lang.String getSvnExePath()

  OGNL: Specify path to your svn executable file. For example: /usr/local/bin/svn. It should be specified here, if it does not exist in the system path.

  Returns:

### setSvnExePath

    public void setSvnExePath(java.lang.String svnExePath)

### isCygwinSvn

    public boolean isCygwinSvn()

  OGNL: This property indicates whether or not the svn executable being used is a cygwin one.

### setCygwinSvn

    public void setCygwinSvn(boolean cygwinSvn)

### checkout

    protected void checkout(Build build)

  Description copied from class: `Repository`
  Check out codes for specified build. OGNL expressions have been resolved before call this method.

  Specified by:
    `checkout` in class `Repository`
  Parameters:
    `build` -

### getChangeListSince

    protected Revisions getChangeListSince(DependentContext dependentContext,
                                           java.util.Date date,
                                           java.lang.String workingDir,
                                           org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Get change list since specified date. OGNL expressions have been resolved before call this method.

  Specified by:
    `getChangeListSince` in class `Repository`
  Parameters:
    `dependentContext` -
    `date` -
    `workingDir` -
    `logger` -
  Returns:

### getModuleClazz

    public java.lang.Class getModuleClazz()

  Specified by:
    `getModuleClazz` in class `Repository`

### buildFinished

    protected void buildFinished(Build build)

  Description copied from class: `Repository`
  Indicates build has finished. OGNL expressions have been resolved before call this method.

  Specified by:
    `buildFinished` in class `Repository`
  Parameters:
    `build` -

### cleanupCheckoutStarted

    protected void cleanupCheckoutStarted(java.lang.String workingDir,
                                          org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Give the repository a chance to do something before clean up checkouts. OGNL expressions have been resolved before call this method.

  Specified by:
    `cleanupCheckoutStarted` in class `Repository`
  Parameters:
    `workingDir` -
    `logger` -

### label

    protected void label(Build build,
                         java.lang.String label,
                         java.lang.String comment)

  Description copied from class: `Repository`
  Label checked out artifacts from this repository. OGNL expressions have been resolved before call this method.

  Specified by:
    `label` in class `Repository`
  Parameters:
    `build` -

### getHeadRevision

    public java.lang.String getHeadRevision()

  OGNL: Get head revision number.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.